#!/usr/bin/env python3
"""authentication manager project"""
from setuptools import find_packages, setup

with open("README.rst", "r") as fobj:
    long_description = fobj.read()

setup(name='pyAuthManager',
      version='0.1.4',
      description="Authentication Manager with support of AWS, GCP and Azure.",
      long_description=long_description,
      platforms=["Linux", "Mac", "Windows"],
      author="Romuald Atchadé, Hervé Martin",
      author_email="romuald.atchade@tounilab.com, hervefranciscomartin@gmail.com",
      #   url="https://pymbook.readthedocs.io/en/latest/",
      license="MIT",
      packages=find_packages(),
      # Dependent packages (distributions)
      install_requires=[
        "boto3==1.24.13",
        "botocore==1.27.13",
        "CacheControl==0.12.11",
        "cachetools==5.2.0",
        "certifi==2022.6.15",
        "charset-normalizer==2.0.12",
        "ecdsa==0.17.0",
        "firebase-admin==5.2.0",
        "google-api-core==2.8.2",
        "google-api-python-client==2.51.0",
        "google-auth==2.8.0",
        "google-auth-httplib2==0.1.0",
        "google-cloud-core==2.3.1",
        "google-cloud-firestore==2.5.3",
        "google-cloud-storage==2.4.0",
        "google-crc32c==1.3.0",
        "google-resumable-media==2.3.3",
        "googleapis-common-protos==1.56.2",
        "grpcio==1.46.3",
        "grpcio-status==1.46.3",
        "httplib2==0.20.4",
        "idna==3.3",
        "jmespath==1.0.1",
        "jose==1.0.0",
        "msgpack==1.0.4",
        "proto-plus==1.20.6",
        "protobuf==3.20.1",
        "pyasn1==0.4.8",
        "pyasn1-modules==0.2.8",
        "pyparsing==3.0.9",
        "python-dateutil==2.8.2",
        "python-decouple==3.6",
        "python-jose==3.3.0",
        "requests==2.28.0",
        "rsa==4.8",
        "s3transfer==0.6.0",
        "six==1.16.0",
        "uritemplate==4.1.1",
        "urllib3==1.26.9",
      ],
      )
